Status: In Progress Start date: 2018-03-02

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 30%

Category: d1_portal_servlet Estimated time: 0.00 hour

Target version: CCI-2.3.10   

Story Points:    

Description

We use ORCID to authenticate users via OAuth.  ORCID has announced that it will completely sunset their version 1.2 API on March

1, 2018 (today). See https://github.com/ORCID/ORCID-Source/blob/master/orcid-model/src/main/resources/README.md  The API

has been deprecated since early 2017.  

We use OAuth portions of the API which do not seem to be affected by the XSD version changes in the ORCID API, but we should

evaluate whether this will affect us.  In particular, I note that they state that the proper endpoints for OAuth are:

http://orcid.org/oauth/authorize

https://orcid.org/oauth/token

However, for the second of these, our configuration file (

https://repository.dataone.org/software/cicore/trunk/d1_portal_servlet/src/main/webapp/WEB-INF/portal.properties) indicates that we

use:

https://pub.orcid.org/oauth/token

I think the pub endpoints have been deprecated, and we may need to change our configuration to use the established endpoint. 

Evaluate and possibly change this if needed.

Related issues:

Related to CN REST - Task #8533: evaluate and mitigate ORCID OpenId subject c... Closed 2018-04-09

History

#1 - 2018-03-02 02:05 - Jing Tao

- % Done changed from 0 to 30

- Target version set to CCI-2.3.8

- Status changed from New to In Progress

Matt and Dave discussed the issue a little bit. They think the only change we should make is to change the property orcid.token.location from

https://pub.orcid.org/oauth/token to https://orcid.org/oauth/token in the portal.properties file.

I did the change on cn-sandbox. It worked. So I made change on the code on the 2.3 branch as well.

#2 - 2018-03-02 21:49 - Dave Vieglais

- Target version changed from CCI-2.3.8 to CCI-2.3.9

#3 - 2018-03-22 16:54 - Rob Nahf

- Target version changed from CCI-2.3.9 to CCI-2.3.10

2.3.9 is deployed...

#4 - 2018-04-09 17:33 - Matthew Jones
https://github.com/ORCID/ORCID-Source/blob/master/orcid-model/src/main/resources/README.md
http://orcid.org/oauth/authorize
https://orcid.org/oauth/token
https://repository.dataone.org/software/cicore/trunk/d1_portal_servlet/src/main/webapp/WEB-INF/portal.properties
https://pub.orcid.org/oauth/token


- Related to Task #8533: evaluate and mitigate ORCID OpenId subject change on authentication infrastructure added
